//
//  LSAppDelegate.m
//  sdkdemob
//
//  Created by William Meharg on 2012-10-18.
//  Copyright (c) 2012 CA Technologies. All rights reserved.
//

#import "LSAppDelegate.h"

#import "L7SClientManager.h"

@implementation LSAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    
    [L7SClientManager configureClientManagerWithEndpoint:@"https://baseURL"
                                                  apiKey:@"PUT_YOUR_CLIENT_ID_HERE"
                                               apiSecret:@"PUT_YOUR_CLIENT_SECRET_HERE"
                                                   group:@"YOUR_APP_ID_PREFIX.com.yourcompany.singleSignOn"
                                   certificatePiningMode:L7SAFSSLPinningModeNone
                                        startImmediately:YES];
  

    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.

}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

- (BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url {
    // handler code here
    return YES;
}

@end
