//
//  LSLoginViewController.h
//  sdkdemo
//
//  Created by Anthony Yu on 2013-09-26.
//  Copyright (c) 2013 CA Technologies. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "L7SClientManager.h"

@interface LSLoginViewController : UIViewController <UICollectionViewDataSource, UICollectionViewDelegate, L7SLoginDialogDelegate>

//
// Alternatively, I can implment the textFields and login button in SDK to simplify code written by app developers.
// App developer then can simply extend textFields and the login button, but the drawback is I will need to provide
// resource bundle.
//



@property (weak, nonatomic) IBOutlet UITextField *userNameField;
@property (weak, nonatomic) IBOutlet UITextField *passwordField;
@property (weak,nonatomic)  IBOutlet UICollectionView *collectionView;
@property (weak, nonatomic) IBOutlet UIImageView *qrCodeView;


- (IBAction)doLogin:(id)sender;

@end
